<!--   
<p> {{saludo}} </p>
<button  pButton type="button" (click)="enviarMensaje()"  class="p-button-danger p-button-sm" >Enviar Mensaje</button>
<app-hijo  [recibido]="mensajeHijo" (enviarPapa)="recibirSaludo($event)" ></app-hijo>
-->


<form [formGroup]="formUsuario" (ngSubmit)="enviarUsuario()">
    <p>Nombre</p>
    <input formControlName="nombre">
    <p>Apellido</p>
    <input formControlName="apellido">
    <p>Telefono</p>
    <input type="number" formControlName="telefono">
    <p>Email</p>
    <input formControlName="email">
    <p></p>
    <button [disabled]="formUsuario.invalid" >Enviar datos</button>
</form>


<!--
<button (click)="mostrarDatos()" >mostrar datos</button>


<ng-container *ngIf="!isLogged ; else logueado">
    <button (click)="isLogged = true" > Iniciar Sesión </button>
    <button (click)="nivel = nivel + 1" >Sumar niveles</button>
    <div> {{nivel}} </div>
</ng-container>

<ng-template #logueado>
    <button>Perfil</button>
    <button>Configuración</button>
    <button (click)="isLogged = false">Cerrar Sesión</button>
</ng-template>

<button *ngIf="nivel >= 10">Suma superior</button>
-->